#ifndef SIDEBARDBUSSERVICE_H
#define SIDEBARDBUSSERVICE_H
#include <QObject>
#include <QRect>
#include <QWidget>
#include <QDBusConnection>
#include <QProcess>

class SidebarDbusService : public QObject
{
    Q_OBJECT
    //申明该类有D-BUS服务接口
    Q_CLASSINFO("D-Bus Interface", "org.ukui.Sidebar")
public:
    SidebarDbusService(QWidget *parent = nullptr);
    bool m_bSidebarState;                                         //展开中/展开完成-true；
    int m_PresentsidebarWidth;

    int m_SidebarHeight;
    int m_SidebarWidth;

private:
    QWidget *m_parent;

public slots:

    //设置&获取当前sidebar宽度接口
    void setPresentSidebarWidth(int width);
    int getPresentSidebarWidth(); //获取侧边栏当前位置

    //整体轮廓
    void setSidebarHeight(int height);
    void setSidebarWidth(int width);

    int getSidebarHeight();
    int getSidebarWidth();

    //当前状态
    void setSidebarState(bool state);
    bool getSidebarState();

    void sidebarActive();


signals:
    void animationAction(const uint time, const int distance);
    void sidebarStateChange(QString arg);
};

#endif // SIDEBARDBUSSERVICE_H

